﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectBulldozer.Entities;

/// <summary>
/// Класс-сущность "Бульдозер"
/// </summary>
public class EntityBulldozer : EntityDozer
{   

    ///<summary>
    /// Признак (опция) наличие отвала(ковша)
    /// </summary>
    public bool Blade { get; private set; }

    ///<summary>
    /// Признак (опция) наличие гусеницы
    /// </summary>
    public bool Caterpillar { get; private set; }

    public EntityBulldozer(int speed, double weight, Color bodyColor, Color additionalColor, bool blade, bool caterpillar) : base(speed, weight, bodyColor, additionalColor)
    {
        Blade = blade;
        Caterpillar = caterpillar;
    }
}
